Bug 1868165 - Insights operator should collect information about all nodes
Summary: Insights operator should collect information about all nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Martin Kunc
QA Contact: psimovec
URL:
Whiteboard:
Depends On: 1850446
Blocks: 1868163
TreeView+ depends on / blocked
 
Reported: 2020-08-11 20:55 UTC by Sam Batschelet
Modified: 2020-10-28 08:12 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1850678
Environment:
Last Closed: 2020-10-28 08:11:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 160 0 None closed Bug 1868165: pkg/gather/clusterconfig/clusterconfig: include node information in every archive 2020-10-26 07:07:54 UTC
Red Hat Product Errata RHBA-2020:4224 0 None None None 2020-10-28 08:12:27 UTC

Comment 2 psimovec 2020-10-06 11:19:36 UTC
With older version, no nodes were gathered on new clean cluster

With version  4.4.0-0.nightly-2020-10-05-123616

oc get nodes
NAME                                         STATUS    ROLES     AGE       VERSION
ip-10-0-130-237.us-east-2.compute.internal   Ready     master    23m       v1.17.1+45f8ddb
ip-10-0-141-104.us-east-2.compute.internal   Ready     worker    14m       v1.17.1+45f8ddb
ip-10-0-157-247.us-east-2.compute.internal   Ready     worker    14m       v1.17.1+45f8ddb
ip-10-0-189-62.us-east-2.compute.internal    Ready     master    23m       v1.17.1+45f8ddb
ip-10-0-246-172.us-east-2.compute.internal   Ready     master    23m       v1.17.1+45f8ddb
ip-10-0-248-198.us-east-2.compute.internal   Ready     worker    14m       v1.17.1+45f8ddb

In archive:
config/node/ip-10-0-130-237.us-east-2.compute.internal.json
config/node/ip-10-0-141-104.us-east-2.compute.internal.json
config/node/ip-10-0-157-247.us-east-2.compute.internal.json
config/node/ip-10-0-189-62.us-east-2.compute.internal.json
config/node/ip-10-0-246-172.us-east-2.compute.internal.json
config/node/ip-10-0-248-198.us-east-2.compute.internal.json

Comment 5 errata-xmlrpc 2020-10-28 08:11:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.29 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4224


Note You need to log in before you can comment on or make changes to this bug.